<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/">
		<html>
			<body>
				<h2><xsl:value-of select="component-api-javadoc/@name"/></h2>
				<xsl:for-each select="//class-javadoc">
					<xsl:sort select="@name"/>
					<h3><xsl:value-of select="@name"/></h3>
					<xsl:if test="@since">
						<ul>
							<li><i>missing: @since</i></li>
						</ul>
					</xsl:if>
					<table>
						<xsl:for-each select="method-javadoc">
							<xsl:sort select="@name"/>
							<tr>
								<td><b>Method</b> - <xsl:value-of select="@name"/></td>
							</tr>
							<tr>
								<td>
									<ul>
										<xsl:if test="@since">
											<li><i>missing: @since</i></li>
										</xsl:if>
										<xsl:if test="@return">
											<li><i>missing: @return</i></li>
										</xsl:if>
										<xsl:for-each select="param">
											<li><i>missing: @param <xsl:value-of select="@name"/></i></li>
										</xsl:for-each>
										<xsl:for-each select="throw">
											<li><i>missing: @throw <xsl:value-of select="@name"/></i></li>
										</xsl:for-each>
									</ul>
								</td>
							</tr>
						</xsl:for-each>
					</table>
				</xsl:for-each>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
